
Redmine - Defect #6270

diff coderay malformed in the "news" page

2010-09-02 08:40 - Nicolas Sebrecht

Status: Closed Start date: 2010-09-02

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: News Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

The diff rendering of coderay (using <code class="diff") is broken in the "news" view and doesn't have colored output. Select the

entry of the news displays it right.

I'm on redmine v1.0.0.

Associated revisions

Revision 4107 - 2010-09-20 04:55 - Eric Davis

Add scm.css to news pages to allow proper syntax highlighting. #6270

Contributed by Holger Just.

History

#1 - 2010-09-02 08:44 - Nicolas Sebrecht

[The content of my post has been eaten, sorry.]

The diff rendering of coderay (using "code class="diff") in the news view is broken and doesn't color output. Select the news entry shows it right.

I'm on redmine v1.0.0.

#2 - 2010-09-02 21:14 - Holger Just

- File 6270-Add-scm.css-to-news-pages-to-allow-proper-syntax-hig.patch added

Confirmed on trunk. The pages are missing the reference to scm.css.

The attached patch fixes this. The patch is also available from http://github.com/meineerde/redmine/tree/6270-fix-highlight-in-news

#3 - 2010-09-03 11:04 - Nicolas Sebrecht

- Status changed from New to Resolved

- % Done changed from 0 to 100

Holger Just wrote:

Confirmed on trunk. The pages are missing the reference to scm.css.

The attached patch fixes this. The patch is also available from http://github.com/meineerde/redmine/tree/6270-fix-highlight-in-news

 Great! Bug fixed (tested).

Thanks.

#4 - 2010-09-03 12:00 - Felix Schäfer

- Status changed from Resolved to New

"Resolved" is only for changes that have been committed to trunk but not to a stable branch yet.

#5 - 2010-09-20 04:56 - Eric Davis
- Status changed from New to Resolved

- Assignee set to Eric Davis

- Target version set to 1.0.2

- Resolution set to Fixed

Added in r4107.

#6 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

Files

6270-Add-scm.css-to-news-pages-to-allow-proper-syntax-hig.patch 1.15 KB 2010-09-02 Holger Just

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/4107
http://www.tcpdf.org

